[PATCH 1/6] Expand the reach of pylint

David Shea dshea at redhat.com
Fri Jan 24 16:45:21 UTC 2014


The main reason for keeping an explicit list of directories was so we
didn't scan old_tests, so instead let's just exclude that and scan
everything else.  The script was missing some files in data and dracut
---
 tests/pylint/runpylint.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/tests/pylint/runpylint.sh b/tests/pylint/runpylint.sh
index fac9f71..f9fae9a 100755
--- a/tests/pylint/runpylint.sh
+++ b/tests/pylint/runpylint.sh
@@ -88,7 +88,8 @@ fi
 if [ -z "$FILES" ]; then
     # Find any file in the list of directories that either ends in .py
     # or contains #!/usr/bin/python in the first line.
-    FILES="$(find "${top_srcdir}"/{anaconda,pyanaconda,tests,widgets,utils,scripts} -type f \( -name '*.py' -o -exec awk -e 'NR==1 { if ($0 ~ /^#!\/usr\/bin\/python/) exit 0; else exit 1; }' -e 'END { if (NR == 0) exit 1; }' {} \; \) -print)"
+    # Scan everything except old_tests
+    FILES="$(find "${top_srcdir}" -type d -name old_tests -prune -o -type f \( -name '*.py' -o -exec awk -e 'NR==1 { if ($0 ~ /^#!\/usr\/bin\/python/) exit 0; else exit 1; }' -e 'END { if (NR == 0) exit 1; }' {} \; \) -print)"
 fi
 
 num_cpus=$(getconf _NPROCESSORS_ONLN)
-- 
1.8.5.3



More information about the anaconda-patches mailing list